#include "std.h"

#include <vector>
#include <string>

#ifndef UI_PREFERENCES
#define UI_PREFERENCES

#ifndef UNDEFINED
#define UNDEFINED -1
#endif

#ifndef DEFAULT_TIMEOUT
#define DEFAULT_TIMEOUT 40
#endif

string GetEnv (const string & env);
string GetDef (const string & def);
int iGetEnv (const string & env);
int iGetDef (const string & def);
vector <string> GetJobIDs (int argc, char ** argv, int optind,
			   vector <string> & joblists, bool all);
void RemoveJobID (const string & jobid);

#endif
